# From Android.kselftest.mk
kselftest_modules := \
  kselftest_cpu-hotplug_cpu-on-off-test \
  kselftest_efivarfs_efivarfs \
  kselftest_exec_execveat.sh \
  kselftest_futex_functional_run.sh \
  kselftest_intel_pstate_run.sh \
  kselftest_lib_printf \
  kselftest_lib_bitmap \
  kselftest_splice_default_file_splice_read.sh \
  kselftest_vm_run_vmtests \

# From Android.bp
kselftest_modules += \
  kselftest_binderfs_tests_binderfs_test \
  kselftest_breakpoints_tests_breakpoint_test \
  kselftest_breakpoints_tests_breakpoint_test_arm64 \
  kselftest_breakpoints_tests_step_after_suspend_test \
  kselftest_capabilities_test_test_execve \
  kselftest_capabilities_test_validate_cap \
  kselftest_efivarfs_tests_create-read \
  kselftest_efivarfs_tests_open-unlink \
  kselftest_exec_test_execveat \
  kselftest_futex_tests_futex_requeue_pi_mismatched_ops \
  kselftest_futex_tests_futex_requeue_pi_signal_restart \
  kselftest_futex_tests_futex_requeue_pi \
  kselftest_futex_tests_futex_requeue \
  kselftest_futex_tests_futex_wait_private_mapped_file \
  kselftest_futex_tests_futex_wait_timeout \
  kselftest_futex_tests_futex_wait_uninitialized_heap \
  kselftest_futex_tests_futex_wait_wouldblock \
  kselftest_futex_tests_futex_wait \
  kselftest_futex_tests_futex_waitv \
  kselftest_intel_pstate_tests_aperf \
  kselftest_intel_pstate_tests_msr \
  kselftest_kcmp_tests_kcmp_test \
  kselftest_kvm_arm64_tests_pvm_wipe_mem \
  kselftest_net_tests_psock_tpacket \
  kselftest_net_tests_socket \
  kselftest_net_tests_reuseaddr_conflict \
  kselftest_ptrace_tests_peeksiginfo \
  kselftest_rtc_tests_rtctest \
  kselftest_seccomp_tests_seccomp_bpf \
  kselftest_size_test_get_size \
  kselftest_splice_test_default_file_splice_read \
  kselftest_timer_tests_alarmtimer-suspend \
  kselftest_timer_tests_inconsistency-check \
  kselftest_timer_tests_nanosleep \
  kselftest_timer_tests_nsleep-lat \
  kselftest_timer_tests_posix_timers \
  kselftest_timer_tests_raw_skew \
  kselftest_timer_tests_rtctest \
  kselftest_timer_tests_set-tai \
  kselftest_timer_tests_set-timer-lat \
  kselftest_timer_tests_threadtest \
  kselftest_timer_tests_valid-adjtimex \
  kselftest_vdso_test_abi \
  kselftest_vdso_test_clock_getres \
  kselftest_vdso_test_correctness \
  kselftest_vdso_test_getcpu \
  kselftest_vdso_test_gettimeofday \
  kselftest_vm_tests_mlock2-tests \
  kselftest_vm_tests_on-fault-limit \
  kselftest_vm_tests_userfaultfd \
  kselftest_vm64_tests_virtual_address_range \
  kselftest_x86_ptrace_syscall \
  kselftest_x86_check_initial_reg_state \
  kselftest_x86_tests_ldt_gdt \
  kselftest_x86_tests_single_step_syscall \
  kselftest_x86_tests_syscall_arg_fault \
  kselftest_x86_tests_syscall_nt \
  kselftest_x86_tests_test_FCMOV \
  kselftest_x86_tests_test_FCOMI \
  kselftest_x86_tests_test_FISTTP \
  kselftest_x86_tests_test_mremap_vdso \
  kselftest_x86_tests_unwind_vdso \
  kselftest_x86_tests_vdso_restorer \
  kselftest_x86_test_sysret_ss_attrs \
  kselftest_x86_test_syscall_vdso \
